{ chaotic, pkgs, ... }:
{
  imports = [
    ./hardware
    ./boot

    # Apps and programs
    ../../../modules/system
    ../../../modules/system/accounts
    ../../../modules/system/desktop
    ../../../modules/system/programs
    ../../../modules/system/services
    ../../../modules/system/services/pc/sunshine
    ../../../modules/system/services/pc/school
    ../../../modules/system/services/pc/virtualization/qemu

    # Devices and hardware
    ../../../modules/system/devices
    ../../../modules/system/devices/boot/lanzaboote
    ../../../modules/system/devices/video/nvidia
    ../../../modules/system/devices/networking/firewall/pc

    # Misc
    ../../../overlays
    ../../../variables

    # Imports
    chaotic.homeManagerModules.default
  ];

  programs.sway.package = pkgs.sway_git;

  networking.hostName = "firefly";

  # Force Electron to use Wayland
  environment.sessionVariables.NIXOS_OZONE_WL = "1";
}
